unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Outlook2000, adxolFormsManager, StdCtrls;

type
  TadxOlForm1 = class(TadxOlForm)
    Label1: TLabel;
    Button1: TButton;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure adxOlFormCreate(Sender: TObject);
    procedure adxOlFormADXBeforeFormShow(Sender: TObject);
  private
    { Private declarations }
    WasHiddenByButtonClick: boolean; 
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure ShowAndClearHideIndication;
  published
    { Published declarations }
  end;

{NOTE: The adxOlForm1 variable is intended for the exclusive use
       by the TadxOlFormsCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  adxOlForm1 : TadxOlForm1;

implementation

uses uUtils, VisibilityD7_IMPL;

{$R *.DFM}

procedure TadxOlForm1.Button1Click(Sender: TObject);
begin
  Common.ShowMessage(Strings.TheFormWillHide);
  WasHiddenByButtonClick := true;
  self.Hide;
  (AddinModule as TAddinModule).HiddenExplorerForm := self;
end;

procedure TadxOlForm1.adxOlFormCreate(Sender: TObject);
begin
  WasHiddenByButtonClick := false;
end;

procedure TadxOlForm1.adxOlFormADXBeforeFormShow(Sender: TObject);
begin
  if (WasHiddenByButtonClick) then begin
      self.Visible := false;
      (AddinModule as TAddinModule).HiddenExplorerForm := self;
  end
  else begin
      (AddinModule as TAddinModule).HiddenExplorerForm := nil;
  end;
end;

procedure TadxOlForm1.ShowAndClearHideIndication;
begin
  WasHiddenByButtonClick := false;
  self.Show;
end;

initialization
  RegisterClass(TPersistentClass(TadxOlForm1));

finalization
end.
