unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Outlook2000, adxolFormsManager, StdCtrls;

type
  TadxOlForm2 = class(TadxOlForm)
    Label1: TLabel;
    ListBox1: TListBox;
    Button1: TButton;
    Label2: TLabel;
    ListBox2: TListBox;
    Button2: TButton;
    Button3: TButton;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    procedure adxOlFormResize(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    function GetCurrentMail: MailItem;
    function GetFirstSelectedItem(listBox: TListBox): string;
  protected
    { Protected declarations }
  public
    { Public declarations }
  published
    { Published declarations }
  end;

{NOTE: The adxOlForm2 variable is intended for the exclusive use
       by the TadxOlFormsCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  adxOlForm2 : TadxOlForm2;

implementation

uses uUtils, VisibilityD7_IMPL;

{$R *.DFM}

procedure TadxOlForm2.adxOlFormResize(Sender: TObject);
var
  listBox1Width: integer;
  listBox2Width: integer;
begin
  listBox1Width := self.Width - ListBox1.Left * 2;
  if (listBox1Width > 100) then begin
    ListBox1.Width := listBox1Width;
  end;

  listBox2Width := self.Width - ListBox2.Left * 2;
  if (listBox2Width > 100) then begin
    ListBox2.Width := listBox2Width;
  end;
end;

procedure TadxOlForm2.Button1Click(Sender: TObject);
var
  mail: MailItem;
  selection: string;
begin
  selection := GetFirstSelectedItem(ListBox1);
  if (selection <> '') then begin
    mail := GetCurrentMail();
    try
      if (mail <> nil) then begin
        Common.ShowMessage(Strings.OutlookSecurityGuardDuringAccessingFields);
        mail.To_ := selection;
      end;
    finally
      mail := nil;
    end;
  end;
end;

function TadxOlForm2.GetCurrentMail: MailItem;
begin
  result := nil;
  if (self.InspectorObj <> nil) then begin
    result := self.InspectorObj.CurrentItem as MailItem;
  end;
end;

function TadxOlForm2.GetFirstSelectedItem(listBox: TListBox): string;
var
  i: integer;
begin
  result := '';
  for i := 0 to listBox.Items.Count - 1 do begin
    if listBox.Selected[i] then begin
      result := listBox.Items[i];
      break;
    end;
  end;
end;

procedure TadxOlForm2.Button3Click(Sender: TObject);
begin
  self.Hide();
end;

procedure TadxOlForm2.Button2Click(Sender: TObject);
var
  mail: MailItem;
  selection: string;
begin
  selection := GetFirstSelectedItem(ListBox2);
  if (selection <> '') then begin
    mail := GetCurrentMail();
    try
      if (mail <> nil) then begin
        mail.Subject := selection;
      end;
    finally
      mail := nil;
    end;
  end;
end;

initialization
  RegisterClass(TPersistentClass(TadxOlForm2));

finalization
end.
